package com.mime.dualscreenview.webcontents

import com.mime.dualscreenview.data.model.BookPageInfos
import com.mime.dualscreenview.data.model.LastInfo
import com.mime.dualscreenview.webcontents.contentsinfo.GotoSomeWhere

interface MainControllInterface {
    fun onStartLoad()
    fun completePageLoad(apply: LastInfo)

    fun showNextBtn(finnd : Boolean, onClickAction: GotoSomeWhere)
    fun showPrevBtn(finnd : Boolean,onClickAction: GotoSomeWhere)

    fun showAlert(alert :String)

    fun onLoadedContents(contents :String)
    fun onFindTitle(contents :String)

    fun onBookInfos(jsonString : String)
    fun onBookInfos(infos : BookPageInfos)

}